Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xmlrpc.webserver
Class ServletWebServer.Exception

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.io.IOException
                  org.apache.xmlrpc.webserver.ServletWebServer.Exception

All Implemented Interfaces:
  java.io.Serializable

Enclosing class:
  ServletWebServer

    public static class ServletWebServer.Exception

extends java.io.IOException

This exception is thrown by the request handling classes, advising the server, that it should return an error response.

See Also:
  Serialized Form

Constructor Summary
`ServletWebServer.Exception(int pStatusCode, java.lang.String pMessage, java.lang.String pDescription)` Creates a new instance.

Method Summary
`java.lang.String` | `getDescription()` Returns the error description.
`java.lang.String` | `getMessage()`
`int` | `getStatusCode()` Returns the HTTP status code.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ServletWebServer.Exception

    public ServletWebServer.Exception(int pStatusCode,
                                      java.lang.String pMessage,
                                      java.lang.String pDescription)

  Creates a new instance.

  Parameters:
    `pStatusCode` - The HTTP status code being sent to the client.
    `pMessage` - The HTTP status message being sent to the client.
    `pDescription` - The error description being sent to the client in the response body.

Method Detail

### getMessage

    public java.lang.String getMessage()

  Overrides:
    `getMessage` in class `java.lang.Throwable`

### getDescription

    public java.lang.String getDescription()

  Returns the error description. The server will send the description as plain text in the response body.

  Returns:
    The error description.

### getStatusCode

    public int getStatusCode()

  Returns the HTTP status code.

  Returns:
    The status code.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 The Apache Software Foundation. All Rights Reserved.